Package org.jfree.layouting.layouter.context

## Class DefaultDocumentMetaNode

- java.lang.Object
- - org.jfree.layouting.layouter.context.DefaultDocumentMetaNode

- All Implemented Interfaces:
    `DocumentMetaNode`
  Direct Known Subclasses:
    `DefaultDocumentContext`

      public class DefaultDocumentMetaNode
      extends java.lang.Object
      implements DocumentMetaNode

  Creation-Date: 08.12.2005, 20:17:28
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultDocumentMetaNode​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getMetaAttribute​(java.lang.String name)` |
    `void` | `setMetaAttribute​(java.lang.String name, java.lang.Object value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDocumentMetaNode

          public DefaultDocumentMetaNode​()

  - ### Method Detail

    - #### getMetaAttribute

          public java.lang.Object getMetaAttribute​(java.lang.String name)

      Specified by:
        `getMetaAttribute` in interface `DocumentMetaNode`

    - #### setMetaAttribute

          public void setMetaAttribute​(java.lang.String name,
                                       java.lang.Object value)

      Specified by:
        `setMetaAttribute` in interface `DocumentMetaNode`